Subject: [os2genau_digest] No. 1952
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 18 May 2010 00:00:41 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Monday 17 May 2010
 Number  1952
**************************************************

Subjects for today
 
1   OpenOffice 3.1 : Peter Moylan <peter at pmoylan dot org>
1  Re:  OpenOffice 3.1 : Ed Durrant <edurrant at durrant dot mine dot nu>
2  Re:  OpenOffice 3.1 : Ed Durrant <edurrant at durrant dot mine dot nu>
2  Re:  Strange PC : Dennis Nolan <dennis at jeg-og dot com>
3  Re:  Strange PC : Alan Duval <amoht at westnet dot com dot au>
3  Re:  Strange PC : Alan Duval <amoht at westnet dot com dot au>
4  Re:  Strange PC : Alan Duval <amoht at westnet dot com dot au>

**= Email   1 ==========================**

Date:  Mon, 17 May 2010 02:11:00 +1000
From:  Peter Moylan <peter at pmoylan dot org>
Subject:   OpenOffice 3.1

Has anybody here succeeded in getting OpenOffice 3.1 to work? I've just
downloaded it from MenSys (I've paid for it) but I can't find any way to
use it. If I click on a .odt file, I get the message "Support Agreement
for OpenOffice dot org ..." etc. ... i.e. it wants the support agreement
that I've already paid for. If instead I right-click and choose "Open as
Text Document", I get OpenOffice 2.4, after all the initial crap about
recovering the documents on CDs that I no longer have access to.
Obviously, the OpenOffice installation has not included the WPS
integration that we get with other OS/2 programs.

The solution, obviously, is to go directly into the the
D:\Apps\OpenOffice dot org.3 directory, and ignore the readme.txt - it's all
in Italian, which I can understand only imperfectly - and execute the
program\swriter.exe program. It didn't work, though. I got a message
saying "Program cannot be started. Language could not be determined".

Does anyone know how to tell the program that I speak English?

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   1 ==========================**

Date:  Mon, 17 May 2010 06:44:49 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  OpenOffice 3.1

Peter Moylan wrote:
> Has anybody here succeeded in getting OpenOffice 3.1 to work? I've just
> downloaded it from MenSys (I've paid for it) but I can't find any way to
> use it. If I click on a .odt file, I get the message "Support Agreement
> for OpenOffice dot org ..." etc. ... i.e. it wants the support agreement
> that I've already paid for. If instead I right-click and choose "Open as
> Text Document", I get OpenOffice 2.4, after all the initial crap about
> recovering the documents on CDs that I no longer have access to.
> Obviously, the OpenOffice installation has not included the WPS
> integration that we get with other OS/2 programs.
>
> The solution, obviously, is to go directly into the the
> D:\Apps\OpenOffice dot org.3 directory, and ignore the readme.txt - it's all
> in Italian, which I can understand only imperfectly - and execute the
> program\swriter.exe program. It didn't work, though. I got a message
> saying "Program cannot be started. Language could not be determined".
>
> Does anyone know how to tell the program that I speak English?
>
>   
I also experienced that "give me your registration key" bug - if I 
rememeber correctly it was because I hadn't installed a font package. 
This was on a system with OOo/2 v 2 also installed on it. When I 
de-installed (through Warpin) the OOo/2 v 3 install, installed the 
Innotek font package and then re-installed the OOo/2 v3 wpi package all 
was OK. Oh yes and the latest Warpin version was also needed if I 
remember correctly.

I currently have both OOo/2 v2 and v3 on my system with v3 being the 
default to open OO files.

-- 
Cheers/2

Ed

Please checkout my podcasts at:
http://eComStationAustralia.podbean dot com or via iTunes
To subscribe - click this: http://eComStationAustralia.podbean dot com/feed

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Mon, 17 May 2010 06:49:59 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  OpenOffice 3.1

Ed Durrant wrote:
> Peter Moylan wrote:
>> Has anybody here succeeded in getting OpenOffice 3.1 to work? I've just
>> downloaded it from MenSys (I've paid for it) but I can't find any way to
>> use it. If I click on a .odt file, I get the message "Support Agreement
>> for OpenOffice dot org ..." etc. ... i.e. it wants the support agreement
>> that I've already paid for. If instead I right-click and choose "Open as
>> Text Document", I get OpenOffice 2.4, after all the initial crap about
>> recovering the documents on CDs that I no longer have access to.
>> Obviously, the OpenOffice installation has not included the WPS
>> integration that we get with other OS/2 programs.
>>
>> The solution, obviously, is to go directly into the the
>> D:\Apps\OpenOffice dot org.3 directory, and ignore the readme.txt - it's all
>> in Italian, which I can understand only imperfectly - and execute the
>> program\swriter.exe program. It didn't work, though. I got a message
>> saying "Program cannot be started. Language could not be determined".
>>
>> Does anyone know how to tell the program that I speak English?
>>
>>   
> I also experienced that "give me your registration key" bug - if I 
> rememeber correctly it was because I hadn't installed a font package. 
> This was on a system with OOo/2 v 2 also installed on it. When I 
> de-installed (through Warpin) the OOo/2 v 3 install, installed the 
> Innotek font package and then re-installed the OOo/2 v3 wpi package 
> all was OK. Oh yes and the latest Warpin version was also needed if I 
> remember correctly.
>
> I currently have both OOo/2 v2 and v3 on my system with v3 being the 
> default to open OO files.
>
>
Just remembered - it's the correct version of the WPS integration 
package that kicks out the "Support Agreement for OpenOffice dot org ..." 
problem.

Here's the full (english) readme:

** OpenOffice dot org 3.1 for eComStation and OS/2 **

Welcome to the GA version of OpenOffice dot org 3.1.1 for eComStation and OS/2.

** Features **

- NLS:
  OpenOffice dot org 3.1 for eComStation and OS/2 is released in English,
  German, Italian, French, Spanish, Dutch and Russian.

- Internet integration:
  - e-mail related settings are now supported, you can email your current
    document, but only Thunderbird is supported.
  - the default OS/2 browser will be used for opening web pages from URL
    links in documents.

- Desktop integration:
  - support for WPS integration via seperate package.
  - support for the FreeType2 (FT2) font engine for improved text rendering.
  - support for XWP/eWPS sliding menu hilite (requires XWorkPlace 1.0.8 or
    eCS 2.0 RC4 or newer)
  - support for clipboard bitmap formats and unicode text.
  - support for mouse wheel.

- Quickstart:
  the quickstart feature has been implemented for eComStation and OS/2.

More information on the OpenOffice dot org development roadmap can be
found at: http://development.openoffice dot org/releases/index.html

Information on the eComStation and OS/2 version can be found at:
http://www.ecomstation dot com/openoffice/

** Installation **

Double click on the base WPI file (OOo311ga-base.wpi), it will automatically
find the binaries and NLS WPI files.

Please note that WarpIn 1.0.18 or higher is required for installation.
You can download the latest WarpIn package from http://warpin dot netlabs dot org

Besides this, also the UniClip and the kLIBC 0.6.3. packages are required to
be installed prior to installing OpenOffice dot org 3.1.

WarpIn version 1.0.18, UniClip 0.2.2 and kLIBC 0.6.3 can also be downloaded
from the OOo download directory.

** Installation notes **

- UniClip is required to complete installation. (Available by default in
  eComStation 2.0)

- LibC 0.6.3 is required to complete installation. (Available by default in
  eComStation 2.0)

- Innotek Font Engine is required to run OpenOffice dot org 3.1 for
  eComStation and OS/2. (Available by default in eComStation)
  You can download it from the following location:
  http://download.innotek.de/ft2lib/InnoTek_FT2LIB_240_Release1.exe

- this OpenOffice dot org build is based on current OOO310m19, the 3.1.1 
release
  build.

- this installation can be used alongside OpenOffice dot org 1.1.5 and
  OpenOffice dot org 2.x releases.

- installation should preferably be done on a JFS volume, as it may
  run slow otherwise. The installation target volume must support long
  filenames.

- installation takes around 400 MB of drivespace.

- during installation a template folder is created which holds a large 
number
  of templates which can be used as a base for OpenOffice dot org documents.

- for better rendering of the GUI font, it is suggested to install Workplace
  Sans TrueType font. This will also visualize the numbering for the 
vertical
  ruler, since the default font, WarpSans, cannot be rotated. It is 
advised to
  install this font prior to installing OpenOffice dot org.
  This font is available by default in eComStation 2.0.

  You can download the Workplace Sans font from the following website:
  http://users.socis.ca/~ataylo00/creative/fonts/index.html

- Internet Application Integration (optional)

  This tool is installed and configured by default in eComStation 2.0.
  You can download it from the authors webpage if needed:
  http://7cities dot net/~mckinnis/os2/index.html

  When configured properly, it is possible to use Thunderbird for sending
  your documents. To enable this feature, the Internet Application
  Integration tool must be installed and configured for your email client.
  In OOo options, Internet settings, set email program field to 
'thunderbird'.
  The full path for executable and directories will be taken from your INI
  files (IAI settings).

  The default OS/2 browser will be used for opening web pages. To enable
  this feature, the Internet Application Integration tool must be installed
  and configured for your browser.

- Quickstart: To enable quickstart, you can place a shadow of the 
quickstart
  WPS icon object in the startup folder.

  Currently OOo cannot be unloaded, you need to 'kill' the open 
instance. You
  can customize the quickstart feature and decide which modules to 
preload at
  system startup. Open the Quickstart object properties and change the
  parameters field with:

  -writer  to preload Writer module
  -calc    to preload Calc module
  -draw    to preload Draw module
  -math    to preload Math module
  -base    to preload Base module
  -impress to preload Impress module
  -norestore suppress restart/restore after fatal errors.

   You can mix above settings to match your personal preferences. Without
   above options, only the OOo core program will be loaded.

- WPS integration package for OpenOffice dot org 3.1 for eComStation and OS/2:

  - Extends the WPS data file class to recognize OpenOffice dot org document 
files
  - Integrated support for WPS-Wizard hint and folder info area
  - REXX hooks for reading document properties

  If you are updating from an earlier release, the WPS integration is 
already
  enabled and working; if WPS integration was enabled for beta releases, 
you
  need to install the OOoWPS103.WPI package (if not already installed) 
and run
  ?:\OpenOffice dot org.3\program\ooodoc.cmd
  This script will activate the WPS integration for this release of
  OpenOffice dot org 3.1 and remove it from other releases.

- When documents are saved, the proper Extended Attribute Type is added 
to the
  file, this allows recognizing OOo documents even if the extension is not
  added.

** Uninstallation **

If this package is installed over an existing 2.0 installation, the 
uninstall
will report a lot of errors related to 'Shared Common1' and 'Shared 
Common2'
packages; these packages were created to workaround a WarpIn bug (bug#1150).
Now these packages are integrated into a single one, but the entries are
already in the WarpIn Database, so you get the errors. You can just ignore
them.

** Known issues **

- Printing of unicode text could fail, this is an ft2lib issue under
  investigation. Bullets are unicode characters, you can use images to
  workaround this limit.

- OpenOffice dot org will use high memory for documents, but DLL binary code is
  loaded in the low shared arena by OS/2 kernel; this causes it to fail
  on some systems. If this happens, OpenOffice dot org will popup an
  error message with a reference to the failing DLL.

  It may help to set the VIRTUALADDRESSLIMIT to 1536 or 1024 in the
  config.sys. With recent kernels it is possible to mark dynamic libraries
  for high memory loading (get above512 from hobbes). Since this feature is
  not stable, we cannot apply to code, but testers have found it works in
  most situations (be aware, you can trap your system when killing OOo).
  Another helpful hint is to use the QuickStart feature described above,
  this will 'preload' parts of OpenOffice into memory, which may increase
  the succesrate of loading OpenOffice.

- Font rendering: Since rendering is done directly with Unicode fonts, 
it may
  happen that some older fonts are not anti-aliased; this means that 
your font
  does not support Unicode charmaps and needs to be upgraded.

- Java not supported.

- Play of sounds is not working.

- Macro security not working (requires java).

- Digital signatures not working (requires java)

- Base module supports dBase, MySQL, ODBC databases,
  hsqldb not supported (requires java).

- Some wizards are not supported, because they require java. (Menu 
option will
  fail silently).

** Reporting your findings **

If you find any bugs, issues, or have other remarks, please open a
ticket at:

http://www.ecomstation dot com/support/ooo2/

If you find any bugs, issues, or have other remarks, please provide as many
details as possible and attach the soffice.log file created at every OOo2
crash: this file is located into your OpenOffice dot org.3\program\
directory.

** User Support **

For help with the OpenOffice dot org 3.1 office suite, take a look at the
archives to find questions already answered on the 'users at openoffice dot org'
mailing list at http://www.openoffice dot org/mail_list.html.
Alternatively, you can send in your questions to users at openoffice dot org.
Remember to subscribe to the list to get an email response.

Also check the FAQ section at http://user-faq.openoffice dot org/.

Support specific to the eComStation and OS/2 version can be obtained
through the ticketing system at: http://www.ecomstation dot com/support/ooo2/

** More information **

More information on OpenOffice dot org can be found at:
http://www.openoffice dot org/

Information on the eComStation and OS/2 version can be found at:
http://www.ecomstation dot com/openoffice/

** (c) 2005-2009 Serenity Systems International **

[eof]

-- 
Cheers/2

Ed

Please checkout my podcasts at:
http://eComStationAustralia.podbean dot com or via iTunes
To subscribe - click this: http://eComStationAustralia.podbean dot com/feed

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Mon, 17 May 2010 07:44:47 +1000
From:  Dennis Nolan <dennis at jeg-og dot com>
Subject:  Re:  Strange PC

Have you thoroughly checked the RAM.
I had a similar problem which turned out to be faulty RAM (not the chips 
but motherboard). Fortunately it was up at the top of the address range.

Dennis.

Alan Duval wrote:
> I have a PC with M3A motherboard and Athlon 64X2 dual core processor. 
> I bought it over a year ago but have never used it as I can get only 
> WIN XP and GOS to operate on it. All other varieties of Linux freeze 
> when I load a program e.g OpenOffice or Firefox and start to use the 
> mouse or keyboard. eCS wouldn't install on it so I gave it up. I 
> thought I'd try again to get it going but same result. I can't 
> understand why Ubuntu 8.04 freezes but GOS doesn't when GOS is based 
> on Ubuntu 8.04 and the strange thing is that GOS was installed on a 
> removable drive in my other computer which has a different 
> motherboard, yet it works in the M3A PC.
> I have tried to get answers from the Ubuntu forums but no one seems to 
> have any answers. I did find a lot of letters from people who were 
> complaining that using the mouse caused their systems to freeze. 
> Various suggestions were given but none that solved the problem for 
> everyone.
> I know it's not an eCS problem but does anyone have a suggestion as to 
> what I can do?
>
>
> Regards,
>
> Alan Duval
> --------------------------------------------------
> 
> http://www./melbpc/  -  The Melbourne OS/2 SIG
===
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   3 ==========================**

Date:  Mon, 17 May 2010 10:32:24 +1000
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  Strange PC

Mike O'Connor wrote:
> On 2010-05-16 21:40 (AEST), Alan Duval wrote:
>> I have a PC with M3A motherboard and Athlon 64X2 dual core processor. 
>> I bought it over a year ago but have never used it as I can get only 
>> WIN XP and GOS to operate on it. All other varieties of Linux freeze 
>> when I load a program e.g OpenOffice or Firefox and start to use the 
>> mouse or keyboard. eCS wouldn't install on it so I gave it up. I 
>> thought I'd try again to get it going but same result. I can't 
>> understand why Ubuntu 8.04 freezes but GOS doesn't when GOS is based 
>> on Ubuntu 8.04 and the strange thing is that GOS was installed on a 
>> removable drive in my other computer which has a different 
>> motherboard, yet it works in the M3A PC.
>> I have tried to get answers from the Ubuntu forums but no one seems 
>> to have any answers. I did find a lot of letters from people who were 
>> complaining that using the mouse caused their systems to freeze. 
>> Various suggestions were given but none that solved the problem for 
>> everyone.
>> I know it's not an eCS problem but does anyone have a suggestion as 
>> to what I can do?
>>
>>
>> Regards,
>>
>> Alan Duval
>
> Hi Alan,
>
> I presume you mean with the unused motherboard system?
>
> Why not give "PCLinuxOS OpenBox 2010" a go?
>
> It seems here to pick up all the hardware correctly - happily cohabits 
> with the IBM Boot Manager - reads and writes HPFS & (eCS) JFS etc, and 
> seems to have a lot of facilities in the ~602MB package.
> I have had it installed on AMD X2 4800+  on ASUS M2V-MX motherboard, 
> but haven't had time yet (10 minutes or less to install!)! :-D
> I used previous 2009 editions of it and found it excellent. :-)     
> Excellent out of the box.
>
> Regards
>
Thanks Mike. I found a live PCLinux OS 2009 disk and it works OK. Can 
open Firefox and use mouse and keyboard without system freezing. It 
hasn't got OpenOffice to try and I'm not sure how one installs 
OpenOffice as it just mentions a script to install it. Tried "apt-get 
install openoffice" but it couldn't find openoffice. Anyhow it's 
promising so I may scrub WIN XP and install PCLinux OS to the hard drive 
and then search out how to install OpenOffice.

The reason I'm wanting to install a Linux system on this box is so that 
I can use it for my reception desk to interact with a medical program 
that I have installed in  my surgery PC. The surgery PC has Ubuntu 8.04 
LTS installed and the medical program is an open source one that I have 
had to install by command line. I could use the removable HD with GOS 
installed but would rather install Linux directly to the reception desk PC.

Regards,

Alan
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   3 ==========================**

Date:  Mon, 17 May 2010 10:39:18 +1000
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  Strange PC

Ian Manners wrote:
> Hi Alan,
>
>   
>> I know it's not an eCS problem but does anyone have a suggestion as to 
>> what I can do?
>>     
>
> First thing I do in cases like this, is remove the clock/cmos battery,
> leave the
> computer unplugged from the wall, leave it overnight, come back the next
> day,
> put the battery back in and see what happens.
>
> Try ECs before booting with/from WinXP otherwise WinXP is likely to undo
> the fresh start.
>   
Thanks Ian. However on following Mike's advice and noting that PCLinux 
OS live works
in this PC and no version of Ubuntu does I suspect that there is some 
driver missing in
Ubuntu which is present in GOS and PCLinux OS.

Regards,

Alan
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   4 ==========================**

Date:  Mon, 17 May 2010 10:46:56 +1000
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  Strange PC

Dennis Nolan wrote:
> Have you thoroughly checked the RAM.
> I had a similar problem which turned out to be faulty RAM (not the 
> chips but motherboard). Fortunately it was up at the top of the 
> address range.
Yes! I ran Memtest 86 and there was no problem with the RAM. The problem 
is with Ubuntu and many other Linux distributions.
They obviously lack some driver necessary for this motherboard. I found 
that PCLinux OS works as suggested by Mike.

Regards,

Alan

>
>
>
>
> Alan Duval wrote:
>> I have a PC with M3A motherboard and Athlon 64X2 dual core processor. 
>> I bought it over a year ago but have never used it as I can get only 
>> WIN XP and GOS to operate on it. All other varieties of Linux freeze 
>> when I load a program e.g OpenOffice or Firefox and start to use the 
>> mouse or keyboard. eCS wouldn't install on it so I gave it up. I 
>> thought I'd try again to get it going but same result. I can't 
>> understand why Ubuntu 8.04 freezes but GOS doesn't when GOS is based 
>> on Ubuntu 8.04 and the strange thing is that GOS was installed on a 
>> removable drive in my other computer which has a different 
>> motherboard, yet it works in the M3A PC.
>> I have tried to get answers from the Ubuntu forums but no one seems 
>> to have any answers. I did find a lot of letters from people who were 
>> complaining that using the mouse caused their systems to freeze. 
>> Various suggestions were given but none that solved the problem for 
>> everyone.
>> I know it's not an eCS problem but does anyone have a suggestion as 
>> to what I can do?

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===